Bug 1657507 - Unable to set component and voter email preferences
Summary: Unable to set component and voter email preferences
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Accounts
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 5.0-RH2
Assignee: Jeff Fearn 🐞
QA Contact: Rony Gong 🔥
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-09 16:51 UTC by Alasdair Kergon
Modified: 2019-04-29 06:30 UTC (History)
6 users (show)

Fixed In Version: 5.0.4.rh13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 02:13:32 UTC


Attachments (Terms of Use)

Description Alasdair Kergon 2018-12-09 16:51:56 UTC
At https://bugzilla.redhat.com/userprefs.cgi?tab=email

Choose 'Enable All Mail' then 'Submit Changes'

The changes to the component and voter column are lost.

Comment 1 Rony Gong 🔥 2018-12-10 07:35:04 UTC
QE can reproduce this bug.

Comment 2 Tomas Hoger 2018-12-14 09:38:19 UTC
Looking at the html source, this is likely related to the missing relationship id.  Each checkbox html element has a name as email-0-1, where first number is the relationship id (table columns) and the second is the event id (table lines).  Names for the Component and Voter columns lack relationship id, using element names of email--1.  Voter used to be 4, Component is a new thing.

Comment 3 Rony Gong 🔥 2018-12-19 06:05:34 UTC
Verified on QA server

Comment 4 Jeff Fearn 🐞 2019-02-06 07:11:16 UTC
This change has been deployed to partner Bugzilla [1] for pre-release testing, if your testing reveals any issues please update this bug.

1: https://partner-bugzilla.redhat.com/

Comment 5 Jeff Fearn 🐞 2019-02-13 02:13:32 UTC
This change is now live. If there are any issues, do not reopen this bug.                                                                                                           
Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.